function LambdaSens = DEBIPMNotShrink_Manta_Sens(E_Y,MatrixSize,fracperturb)

% LambdaSens = DEBIPMShrink_OrchestiaCentral_Sens(0.85,200,0.01);

% perturbed parameters are: Lp,Rm,Lm,rb,kappa,MeanEggSize,mu                    

% input: 
% E_Ymin: minimum feeding level
% E_Ymax: maximum feeding level
% step: step size between E_Ymin and E_Ymax
% MatrixSize: number of size bins of matrix approximation of DEBIPM

% DEB parameters 
Lmin = 3; % mm used to define limits of matrix approximation
Lb = 3.79; % length at birth in mm 
Lm = 15.61; % maximum body length in mm 
Lp = 7.29; % length at puberty in mm
E_Ystdev=0.1; % sigma(Y)
kappa = 0.80; % fraction energy allocation to respiration (as opposed to reproduction)
mu = 0.27; % mortality rate (per month)
rb = 0.13; % von Bertalanffy growth rate (per month)
Rm = 32; % maximum reproduction of offspring produced per month at L_m (per month)

%% perturbed parameters are: Lb, Lp, Lm, Rm, rb, kappa, mu                    
                        
[S, R, G, D, meshpts] = BigMatrixNotShrink(MatrixSize,Lmin,Lm,Lp,Rm,Lm,E_Y,E_Ystdev,rb,kappa,Lb,mu);
kernelDEB_orig = G*S + D*R; 

fracperturb2 = fracperturb*ones(7,1);
%calculate vector of lambda original
lambda_orig = max(eig(kernelDEB_orig)); Lambda_orig=lambda_orig*ones(7,1); 
    
    %create vector of lambda perturbed
    for i=1:length(Lambda_orig)
 
        perturbation=ones(7,1); 
        perturbation(i)=1+fracperturb;
    
        % calculate perturbed kernel
        [S, R, G, D, meshpts] = BigMatrixNotShrinkSens(MatrixSize,Lmin,Lm,Lp,Rm,Lm,E_Y,E_Ystdev,rb,kappa,Lb,mu,perturbation);
 
        kernelDEB_perturb = G*S + D*R; 
        % find dominant eigenvalue
        lambda_perturb = max(eig(kernelDEB_perturb));
        Lambda_perturb(i,1) = lambda_perturb;
                
        %calculate lambda sensitivity
                
   end
            
LambdaSens = (Lambda_perturb - Lambda_orig)./fracperturb2;
%%        
bar(LambdaSens); set(gca,'XTickLabel',{'L_b','L_p','L_m','R_m','r_b','kappa','mu'}); title('Elasticity')    
% Lb, Lp, Lm, Rm, rb, kappa, mu     